import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FaIconComponent } from '@fortawesome/angular-fontawesome';
import { 
  faUserCircle,
  faFileAlt,
  faCog,
  faChartBar,
  faQuestionCircle,
  faInfoCircle,
  faSignOutAlt,
  faArrowRight
} from '@fortawesome/free-solid-svg-icons';

@Component({
  selector: 'app-page-mine',
  standalone: true,
  imports: [CommonModule, RouterModule, FaIconComponent],
  templateUrl: './page-mine.html',
  styleUrls: ['./page-mine.scss']
})
export class PageMine {
  // Font Awesome 图标
  icons = {
    user: faUserCircle,
    resume: faFileAlt,
    settings: faCog,
    report: faChartBar,
    help: faQuestionCircle,
    about: faInfoCircle,
    logout: faSignOutAlt,
    arrowRight: faArrowRight
  };

  // 用户信息
  user = {
    name: '李华',
    avatar: 'LH',
    completedInterviews: 5,
    matchRate: 82
  };

  // 主要功能列表
  mainFeatures = [
    {
      icon: this.icons.resume,
      title: '简历编辑',
      description: '完善您的个人简历信息',
      route: '/mine/resume'
    },
    {
      icon: this.icons.settings,
      title: '账号设置',
      description: '修改个人信息和安全设置',
      route: '/mine/settings'
    },
    {
      icon: this.icons.report,
      title: '分析报告',
      description: '查看历史面试表现分析',
      route: '/mine/reports'
    }
  ];

  // 其他功能列表
  otherFeatures = [
    {
      icon: this.icons.help,
      title: '帮助中心',
      description: '常见问题与使用指南',
      route: '/mine/help'
    },
    {
      icon: this.icons.about,
      title: '关于我们',
      description: '了解AI面试官',
      route: '/mine/about'
    }
  ];

  // 处理退出登录
  handleLogout() {
    console.log('用户退出登录');
    // 实际项目中这里会有退出登录的逻辑
  }
}